ttxtsubs-plugin ubuntu/yavdr

VDR ja DVB aiheista keskustelua
makehu
Säätäjä
Viestit: 399
Liittynyt: 30.07.2006 22:09
Paikkakunta: Uusikaupunki

ttxtsubs-plugin ubuntu/yavdr

Viesti Kirjoittaja makehu » 09.10.2014 20:08

Nyt kun tuli siirryttyä satelliitti katseluun niin tuli tarve ttxtsubs pluginille.
Itselläni on käytössä tällähetkellä lubuntu yavdr:än paketeilla. Yavdr:llä ei vaan ole tuota ttxtsubs plugaria omissa paketeissaan, olisiko tuo plugini saatavilla jossain repoissa vai joutuuko tuon kääntämään itse?

OT: Käytin kahdeksan vuotta gentoota vdr:n kanssa, nyt ajattelin päästä uudelleenasennuksessa helpolla ja laitoin lubuntun. Ei olisi kannattanut, työtä tässäkin oli ja monet asiat on kyllä gentoolla paljon helpompi saada toimimaan.
Good people drink good beer. -Hunter S. Thompson

P.Kosunen
Yli-ihminen
Viestit: 1143
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki

Re: ttxtsubs-plugin ubuntu/yavdr

Viesti Kirjoittaja P.Kosunen » 09.10.2014 20:22

Tietääkseni ttxtsubs vaatii patchin VDR:iin joten ei taida onnistua jakelun valmiilla paketeilla vaan myös VDR on käännettävä itse. Patchin lisääminen valmiiseen source pakettiin ei taida onneksi olla kovin paha urakka.

makehu
Säätäjä
Viestit: 399
Liittynyt: 30.07.2006 22:09
Paikkakunta: Uusikaupunki

Re: ttxtsubs-plugin ubuntu/yavdr

Viesti Kirjoittaja makehu » 09.10.2014 20:30

Niinpä tietysti :evil:
Pitänee harkita tuota kääntöä... tai asentaa suosiolla gentoo. :D
Good people drink good beer. -Hunter S. Thompson

P.Kosunen
Yli-ihminen
Viestit: 1143
Liittynyt: 06.11.2005 14:08
Paikkakunta: Helsinki

Re: ttxtsubs-plugin ubuntu/yavdr

Viesti Kirjoittaja P.Kosunen » 09.10.2014 20:41

Gentoolla nuo käännöshommat hoituu helposti ja suurimman osan asetuksista voinee copy/pastettaa vanhalta koneelta. (+ on helppo pitää järjestelmä systemd-vapaana, se taitaa olla tulossa väkisin kaikkiin isompiin jakeluihin.)

makehu
Säätäjä
Viestit: 399
Liittynyt: 30.07.2006 22:09
Paikkakunta: Uusikaupunki

Re: ttxtsubs-plugin ubuntu/yavdr

Viesti Kirjoittaja makehu » 09.10.2014 21:12

Omassa vanhassa Gentoossa jäi päivitykset tekemättä varmaan yli vuoden ajalta kun kaikki kerran toimi hyvin. Sitten kun tuli tarve päivittää konetta niin se ei enää sitten niin vaan onnistunutkaan ja järjestelmä oli pakko uusia.
Good people drink good beer. -Hunter S. Thompson

nm
Johtava konsultti
Viestit: 3160
Liittynyt: 22.07.2005 3:00

Re: ttxtsubs-plugin ubuntu/yavdr

Viesti Kirjoittaja nm » 09.10.2014 23:41

makehu kirjoitti:Nyt kun tuli siirryttyä satelliitti katseluun niin tuli tarve ttxtsubs pluginille.
Itselläni on käytössä tällähetkellä lubuntu yavdr:än paketeilla. Yavdr:llä ei vaan ole tuota ttxtsubs plugaria omissa paketeissaan
Kyllähän vdr-plugin-ttxtsubs löytyy kaikista kolmesta yaVDR:n paketoinnista (stable-vdr, testing-vdr ja unstable-vdr) ja tarvittavat paikkaukset ovat mukana näistä repositorioista asennetussa VDR:ssä.

makehu
Säätäjä
Viestit: 399
Liittynyt: 30.07.2006 22:09
Paikkakunta: Uusikaupunki

Re: ttxtsubs-plugin ubuntu/yavdr

Viesti Kirjoittaja makehu » 10.10.2014 21:54

Itsellä on kyllä tuo testing ppa käytössä mutta jostain syystä yrittäessä asentaa tuota niin tulee vain lmoitus että "pakettia ei löydy". Olen kuitenkin asentanut tuosta lähteestä muita paketteja onnistuneesti.

Voisiko ongelmaan liittyä se että itsellä on käytössä lubuntu 14.04 (trusty) ja tuolla testing-vdr:n trusty repossa on merkattu ttxtsubs paketti "There where build failures" täpillä?
Good people drink good beer. -Hunter S. Thompson

nm
Johtava konsultti
Viestit: 3160
Liittynyt: 22.07.2005 3:00

Re: ttxtsubs-plugin ubuntu/yavdr

Viesti Kirjoittaja nm » 11.10.2014 0:06

makehu kirjoitti: Voisiko ongelmaan liittyä se että itsellä on käytössä lubuntu 14.04 (trusty) ja tuolla testing-vdr:n trusty repossa on merkattu ttxtsubs paketti "There where build failures" täpillä?
No niinpä onkin, eli sekä testing- että unstable-repositoriossa on rikkinäinen ttxtsubs-paketti -- tosin lokien perusteella eri syistä. Testingin puolella vika johtunee jostain deb-paketoinnin skriptistä tai asetuksesta ja unstablen puolella varsinaisessa vdr-paketissa oleva paikkaus on liian vanha.

Ongelmasta voisi varmaankin tehdä raportin tänne: https://bugs.yavdr.com/projects/yavdr (vaatii rekisteröitymisen).

Vastaa Viestiin